Summary: LDraw sheet generator
Name: isecalc
Version: 1.1
Release: 1
#Copyright: ???
License: Copyright Philippe "Philo" Hurbain - 2007, Tomas Mller, Copyright 2001
Group: Applications/Multimedia
Source: /usr/src/rpm/SOURCES/isecalc-1.1.tar.gz 
BuildRoot: /var/tmp/%{name}-buildroot

%description
Isecalc: Intersection Line Calculator
Isecalc utility computes the intersection line of two sets of triangles or 
quads. Each set is provided to the utility as separate LDraw files. A third 
file containing the intersection lines is created.
It is a simple console application.
See http://www.philohome.com/isecalc/isecalc0.htm
%prep
%setup -q

%build
make RPM_OPT_FLAGS="" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/misc/isecalc
mkdir -p $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples

install -s -m 755 Linux_i386/isecalc $RPM_BUILD_ROOT/usr/bin/isecalc
install -m 644 Documentation/isecalc.pdf $RPM_BUILD_ROOT/usr/share/misc/isecalc/isecalc.pdf
install -m 644 'Documentation/Documentation Isecalc Fr.pdf' $RPM_BUILD_ROOT/usr/share/misc/isecalc/Documentation_Isecalc_Fr.pdf
install -m 644 Samples/axle-t.dat $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples/axle-t.dat
install -m 644 Samples/sphaxle.dat $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples/sphaxle.dat
install -m 644 Samples/sphaxle.ldr $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples/sphaxle.ldr
install -m 644 Samples/sphaxle2.dat $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples/sphaxle2.dat
install -m 644 Samples/sphere-t.dat $RPM_BUILD_ROOT/usr/share/misc/isecalc/Examples/sphere-t.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

/usr/bin/isecalc
/usr/share/misc/isecalc/*
/usr/share/misc/isecalc/Examples/*
